Browse Source

Bring hacking and sphinx requirements in line with Neutron

Change-Id: I94a7578e65833e7d0d1e659bef43e14b02370e3c
changes/92/766792/5
Mitchell Jameson 4 months ago
parent
commit
e4e288a412
3 changed files with 3 additions and 5 deletions
  1. +1
    -1
      lower-constraints.txt
  2. +1
    -3
      test-requirements.txt
  3. +1
    -1
      tox.ini

+ 1
- 1
lower-constraints.txt View File

@ -97,7 +97,7 @@ positional==1.2.1
prettytable==0.7.2
psutil==3.2.2
pycadf==1.1.0
pycodestyle==2.4.0
pycodestyle==2.0.0
pycparser==2.18
pyflakes==0.8.1
Pygments==2.2.0


+ 1
- 3
test-requirements.txt View File

@ -1,13 +1,11 @@
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
hacking>=1.1.0,<1.2.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
mock>=2.0.0 # BSD
python-subunit>=1.0.0 # Apache-2.0/BSD
sphinx!=1.6.6,>=1.6.5 # BSD
oslosphinx>=4.7.0 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
stestr>=1.0.0 # Apache-2.0
testtools>=2.2.0 # MIT


+ 1
- 1
tox.ini View File

@ -80,7 +80,7 @@ commands = python setup.py build_sphinx
# E123, E125 skipped as they are invalid PEP-8.
show-source = True
ignore = E123,E125,H803
ignore = E123,E125,H803,E402,W503,E731
builtins = _
exclude=.venv,.git,.tox,dist,doc,*lib/python*,*egg,build


Loading…
Cancel
Save